import { GraphQLArgument } from "graphql";
import { InputFieldType, StringKeyOf } from "../..";
import { GQLField } from "./GQLField";
export declare class Arg<NameType = string> extends GQLField<GraphQLArgument, NameType> {
    protected _defaultValue: string | number | boolean;
    protected _type: InputFieldType;
    get type(): InputFieldType;
    protected constructor(name: NameType & string, type: InputFieldType);
    static create<NameType = any>(name: StringKeyOf<NameType>, type: InputFieldType): Arg<StringKeyOf<NameType>>;
    build(): GraphQLArgument;
}
