"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Middleware = void 0;
const __1 = require("../..");
class Middleware extends __1.GQLElement {
    constructor(fn, name) {
        super(name);
        this.setFunction(fn);
    }
    get function() {
        return this._function;
    }
    /**
     * Set the function of your middleware
     * @param fn The middleware function
     */
    setFunction(fn) {
        this._function = fn;
    }
    static create(fn, name) {
        return new Middleware(fn, name);
    }
}
exports.Middleware = Middleware;
//# sourceMappingURL=Middleware.js.map